Bug 820922 - Replace-brick start results in iozone termination with error.
Replace-brick start results in iozone termination with error.
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 06:56 EDT by Vijaykumar Koppad
Modified: 2015-11-03 18:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 07:27:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-05-11 06:56:25 EDT
Description of problem:While running iozone , if replace-brick is started, the iozone exits with an error saying 
 
Error writing block 772, fd= 3
write: Transport endpoint is not connected

iozone: interrupted

exiting iozone


Version-Release number of selected component (if applicable):3.3.0qa40


How reproducible: Always. 


Steps to Reproduce:
1.Create a distributed-stripe volume.
2.Run "iozone -a" on the mount-point 
3.While its running, do replace-brick of the first sub-volume.
  
Actual results:


Expected results:


Additional info:
Comment 1 krishnan parthasarathi 2012-05-14 07:27:02 EDT
Volume type such as stripe and distributed stripe, may fail operations on the mount point with EIO if the first subvolume is "down". During a replace-brick operation, src brick is stopped and restarted with pump xlator inserted into the server graph. During which operations running on the mount can fail. This is a known limitation of replace-brick with stripe, distributed stripe type volumes.

Note You need to log in before you can comment on or make changes to this bug.